package org.kne.cloud.network.klalb;

import java.net.InetAddress;
import java.util.function.Consumer;

public interface BindableConsumer<T> extends Consumer<T> {
	  public InetAddress getRemoteInetAddress() ;
	  public InetAddress getLocalInetAddress() ;
	  public int getPort() ;
	  public int getLocalPort();
	public void setLocalPort(int i);
}
